Backend API
cURL
curl --request POST \ --url https://api.wacht.dev/api-auth/rate-limit-schemes \ --header 'Authorization: <api-key>' \ --header 'Content-Type: application/json' \ --data ' { "slug": "default-rate-limits", "name": "Default Rate Limits", "rules": [ { "unit": "minute", "duration": 1, "max_requests": 100, "mode": "per_key", "endpoints": [ "*" ], "priority": 0 } ], "description": "<string>" } '
{ "deployment_id": "<string>", "slug": "default-rate-limits", "name": "Default Rate Limits", "description": "<string>", "rules": [ { "unit": "minute", "duration": 1, "max_requests": 100, "mode": "per_key", "endpoints": [ "*" ], "priority": 0 } ], "created_at": "2023-11-07T05:31:56Z", "updated_at": "2023-11-07T05:31:56Z" }
Create a new reusable rate limit scheme
API key authentication (format: Bearer {api_key})
Unique slug identifier
"default-rate-limits"
Display name
"Default Rate Limits"
Rate limit rules
Show child attributes
Optional description
Rate limit scheme created
Deployment ID
Was this page helpful?